# Prompt Input Event This callback is triggered as a result of a runMenu action. It can be triggered from either a user pressing a number of DTMF digits, or by the return command. It's a POST request to the specified calling callback URL. Your application can respond with SVAML logic. Note: PIE callbacks are not issued for DATA Calls, only PSTN and SIP calls. Endpoint: POST pie Version: 1.0.1 Security: Basic, Signed ## Request fields (application/json): - `event` (string, required) Must have the value pie. Enum: "pie", "ice", "ace", "dice", "notify" - `callid` (string) Used in some types of events, it presents the unique ID assigned to this call. - `conferenceId` (string) Used in some types of events, it presents the unique Conference ID assigned to this call. - `version` (integer) The current API version. - `timestamp` (string) The timestamp in UTC format. Example: "2023-04-21T14:45:51Z" - `menuResult` (object) An object containing information about the returned menu result. - `menuResult.menuId` (string) The ID of the menu that triggered the prompt input event. - `menuResult.type` (string) The type of information that's returned. Enum: "error", "return", "sequence", "timeout", "hangup", "invalidinput" - `menuResult.value` (string) The value of the returned information. - `menuResult.inputMethod` (string) The type of input received. Enum: "dtmf", "voice" - `custom` (string) A string that can be used to pass custom information related to the call. - `applicationKey` (string) The unique application key. You can find it in the Sinch [dashboard](https://dashboard.sinch.com/voice/apps). ## Response 200 fields (application/json): - `instructions` (array) The collection of instructions that can perform various tasks during the call. You can include as many instructions as necessary. - `action` (object) The action that will control the call. Each SVAML object can only include one action.